Page MenuHomePhabricator

"ERROR: Failed to render SVG file!" for "convert" tool (SVG Checker) used on Commons
Closed, ResolvedPublic

Description

Currently the Renderer of https://commons.wikimedia.org/w/index.php?title=Commons:Commons_SVG_Checker&withJS=MediaWiki:CommonsSvgChecker.js does not work.

It shows the message

ERROR: Failed to render SVG file! There are many reasons for thatIt is not distinguishable if the rendered PNG was file was too big or a bug stopped the SVG renderer.

for every image.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2019, 6:22 PM
Aklapper added a subscriber: Rillke.

Bottom of that page states that it's https://tools.wmflabs.org/convert/ . Wondering if issues are tracked here or in https://github.com/Toollabs/convert

revi added a subscriber: revi.Feb 28 2019, 6:28 PM

Rillke is inactive on Phab, Commons and Tool Labs since 2016. (see the last commit, and last activity on Phab)

Perhelion added a subscriber: Perhelion.EditedFeb 28 2019, 6:45 PM

The preview of SVGedit is also affected. I get a CORS fail:

Access to XMLHttpRequest at 'https://tools.wmflabs.org/convert/#conversionError' (redirected from 'https://tools.wmflabs.org/convert/svg2png.php') from origin 'https://commons.wikimedia.org' has been blocked by CORS policy: No 'Access-Control-Allow-Origin' header is present on the requested resource.
Glrx added a subscriber: Glrx.Feb 28 2019, 9:30 PM
Aklapper renamed this task from Renderer of Commons SVG Checker does not work to "ERROR: Failed to render SVG file!" for "convert" tool (SVG Checker) used on Commons.Mar 1 2019, 12:43 PM
Rillke added a comment.EditedMar 3 2019, 10:40 AM

Logs from https://tools.wmflabs.org/convert

2019-03-03 04:25:20: (mod_fastcgi.c.2702) FastCGI-stderr: PHP Warning:  fopen(/tmp/phpq39GoV.svg.png): failed to open stream: No such file or directory in /data/project/convert/public_html/svg2png.php on line 108
sh: 1: rsvg-convert: not found
sh: 1: rsvg-convert: not found
2019-03-03 10:33:56: (mod_fastcgi.c.2702) FastCGI-stderr: PHP Warning:  fopen(/tmp/php1x45vj.svg.png): failed to open stream: No such file or directory in /data/project/convert/public_html/svg2png.php on line 108
sh: 1: pdf2svg: not found

rsvg-convert and pdf2svg are no longer available.

Rillke added a comment.EditedMar 3 2019, 11:29 AM
tools.convert@tools-sgebastion-07:~$ webservice status
Your webservice of type php5.6 is running
tools.convert@tools-sgebastion-07:~$ kubectl get pods
NAME                       READY     STATUS    RESTARTS   AGE
convert-2981660182-la6tf   1/1       Running   1          14d
tools.convert@tools-sgebastion-07:~$ history
[...]
104  2019-02-15 12:47:15 webservice --backend=kubernetes start

Does this indicate someone has started the tool inside K8s? I can't remember having done so. Anyway, where do I have to start to get rsvg-convert and pdf2svg into the Docker Image, or the running Container?

Rillke added a comment.Mar 4 2019, 1:26 PM

The final recommendation for a particular software package request may ultimately be to use the job grid for now until a system for using customized containers is created.

https://wikitech.wikimedia.org/wiki/Help_talk:Toolforge/Kubernetes

Rillke closed this task as Resolved.Mar 5 2019, 12:33 PM
Rillke claimed this task.
webservice stop
webservice --backend=gridengine start

on Stretch - and it seems back to work. When custom Images are available, we might switch to Kubernetes.

@Aklapper

Wondering if issues are tracked here or in https://github.com/Toollabs/convert

Doesn't matter for me. Direct users wherever it fits your or their needs better, although I prefer operational issues strongly tied to TF here and software issues on GitHub. Thanks for CCing.